.selectionText {
  width: 100%;
  padding: var(--spacing-100);
}

.selectionText.correct {
  background-color: var(--background-color-success-subtle);
}

.selectionText.incorrect {
  background-color: var(--background-color-error-subtle);
}

.selectionText.partially_correct {
  background-color: var(--background-color-warning-subtle);
}

.selectionText.isVerifying,
.selectionText.error,
.selectionText.quote_found {
  background-color: var(--background-color-subtle);
  color: var(--color-subtle);
}

.selectionText.no_articles,
.selectionText.no_result {
  background-color: var(--background-color-notice-subtle);
}

.selectionOptions {
  padding: var(--spacing-100);
}

.selectionOption {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 12px;
  gap: var(--spacing-50);
  cursor: pointer;
}

.selectionOption:last-child {
  margin-bottom: 0;
}

.showMore,
.showLess {
  color: #3366cc;
  cursor: pointer;
}

.selectionLabel {
  font-weight: var(--font-weight-bold);
  margin-bottom: var(--spacing-25);
}

.textAreaTooLong,
.textAreaOkay {
  display: block;
  width: 100%;
  min-height: 200px;
  padding: var(--spacing-25) var(--spacing-50);
  font-family: var(--font-family-system-sans);
  font-size: var(--font-size-small);
  line-height: var(--line-height-xx-small);
  border: var(--border-width-base) var(--border-style-base)
    var(--border-color-base);
  border-radius: var(--border-radius-base);
  margin: 0;
  resize: vertical;
}

.textAreaTooLong {
  display: block;
  width: 100%;
  border: 1px solid #b32424;
}

.textAreaTooLong:active,
.textAreaTooLong:focus,
.textAreaTooLong:focus-visible {
  border: 1px solid #b32424;
}

.textAreaOkay {
  border: var(--border-width-base) var(--border-style-base)
    var(--border-color-base);
}

.textAreaOkay:active,
.textAreaOkay:focus,
.textAreaOkay:focus-visible {
  border: 1px solid #3366cc;
}

.characterCounterTooLong,
.characterCounterOkay {
  width: 100%;
  text-align: right;
  font-size: var(--font-size-small);
  margin-top: var(--spacing-25);
}

.characterCounterTooLong {
  color: #b32424;
}

.characterCounterOkay {
  color: #54595d;
}
